export enum TokenTypes {
  COMMA = 'comma',
  COMMENT = 'comment',
  EOF = 'eof',
  FUNCTION_NAME = 'function name',
  IDENTIFIER = 'identifier',
  LITERAL = 'literal',
  LPAREN = 'lparen',
  PROPERTY = 'property',
  RPAREN = 'rparen',
  WHITESPACE = 'whitespace',
}

export default class Token {
  public type: TokenTypes;
  public value: string;
  public line: number;
  public module?: string;

  public constructor(
    type: TokenTypes,
    value: string,
    line: number,
    module?: string
  ) {
    this.type = type;
    this.value = value;
    this.line = line;
    this.module = module;
  }
}
